zabbix_export:
  version: '7.0'
  template_groups:
    - uuid: 7df96b18c230490a9a0a9e2307226338
      name: Templates
  templates:
    - uuid: b14c73a7f522423aa4f1b5c15b143b90
      template: JISZ9021
      name: JISZ9021
      description: 試作
      groups:
        - name: Templates
      items:
        - uuid: 16994a42b1a948fab289241f126fa153
          name: Rule07用しきい値設定_CPU_IDLE
          type: CALCULATED
          key: CPU_IDLE.in.range_rule07.flag
          params: '(last(/JISZ9021/system.cpu.util[,idle]) >= last(/JISZ9021/moving_average_minus2sigma_CPU_IDLE))and(last(/JISZ9021/system.cpu.util[,idle]) <= last(/JISZ9021/moving_average_plus2sigma_CPU_IDLE))'
          triggers:
            - uuid: f8199d9cceb84dfa9df5cfe7cc76eda1
              expression: 'count(/JISZ9021/CPU_IDLE.in.range_rule07.flag,15,"eq",1) >= 15'
              name: Rule07_CPU_IDLE
        - uuid: b0dde80c07454ba4a93f05a0261649ef
          name: Rule08用しきい値設定_CPU_IDLE
          type: CALCULATED
          key: CPU_IDLE.in.range_rule08.flag
          params: '(last(/JISZ9021/system.cpu.util[,idle]) >= last(/JISZ9021/moving_average_minus2sigma_CPU_IDLE))and(last(/JISZ9021/system.cpu.util[,idle]) <= last(/JISZ9021/moving_average_plus2sigma_CPU_IDLE))'
          triggers:
            - uuid: da41b6ddfc0c43d8b19641c73cd0b7ec
              expression: 'count(/JISZ9021/CPU_IDLE.in.range_rule08.flag,15,"eq",0) >= 8'
              name: Rule08_CPU_IDLE
        - uuid: 01a488258e244b43b6a254c716149e9a
          name: Rule09用しきい値設定_CPU_IDLE
          type: CALCULATED
          key: CPU_IDLE.in.range_rule09.flag
          params: '(last(/JISZ9021/system.cpu.util[,idle]) >= last(/JISZ9021/moving_average_minus2sigma_CPU_IDLE))and(last(/JISZ9021/system.cpu.util[,idle]) <= last(/JISZ9021/moving_average_plus2sigma_CPU_IDLE))'
          triggers:
            - uuid: e4a2272f6bd34a37bfda1ba83783c221
              expression: 'count(/JISZ9021/CPU_IDLE.in.range_rule09.flag,3,"eq",0) = 2'
              name: 'Rule09　count(条件式,N,"eq",0) = n_CPU_IDLE'
        - uuid: e09d9d5051354ce6ba0cde6bbe4a642a
          name: Rule10用しきい値設定_CPU_IDLE
          type: CALCULATED
          key: CPU_IDLE.in.range_rule10.flag
          params: '(last(/JISZ9021/system.cpu.util[,idle]) >= last(/JISZ9021/moving_average_minus2sigma_CPU_IDLE))and(last(/JISZ9021/system.cpu.util[,idle]) <= last(/JISZ9021/moving_average_plus2sigma_CPU_IDLE))'
          triggers:
            - uuid: 7a40a0c5245f475e9ff6e95101f6ef69
              expression: 'count(/JISZ9021/CPU_IDLE.in.range_rule10.flag,3,"eq",0) >= 2'
              name: 'Rule10　count(条件式,N,"eq",0) = n_CPU_IDLE'
        - uuid: 29dd8af91621486b8e74a9986bcdfa22
          name: Rule02用しきい値設定_CPU_IDLE
          type: CALCULATED
          key: CPU_IDLE.rule02.in.flag
          value_type: FLOAT
          params: 'last(/JISZ9021/system.cpu.util[,idle])-avg(/JISZ9021/system.cpu.util[,idle],#60)'
          triggers:
            - uuid: 132113dfe2b44431838510fd645e4eb9
              expression: 'count(/JISZ9021/CPU_IDLE.rule02.in.flag,#30,"lt",0)=30'
              name: Rule02_CPU_IDLE
              description: 連続する30点が移動平均を下回っている。
        - uuid: 02a1738d310e4eaa81d0ee6f4543934b
          name: Rule05用しきい値設定_CPU_IDLE
          type: CALCULATED
          key: CPU_IDLE_.in.range_rule05.flag
          params: '(last(/JISZ9021/system.cpu.util[,idle]) >= last(/JISZ9021/moving_average_minus2sigma))and(last(/JISZ9021/system.cpu.util[,idle]) <= last(/JISZ9021/moving_average_plus2sigma))'
          triggers:
            - uuid: 9d1646633b7244258f750ef07c55cae5
              expression: 'count(/JISZ9021/CPU_IDLE_.in.range_rule05.flag,3,"eq",1)>=2 or count(/JISZ9021/CPU_IDLE_.in.range_rule05.flag,3,"eq",0)>=2'
              name: Rule05_CPU_IDLE
        - uuid: d7eea55da57641358a481e8dc6c2e188
          name: Rule06用しきい値設定_CPU_IDLE
          type: CALCULATED
          key: CPU_IDLE_.in.range_rule06.flag
          params: '(last(/JISZ9021/system.cpu.util[,idle]) >= last(/JISZ9021/moving_average_minus2sigma))and(last(/JISZ9021/system.cpu.util[,idle]) <= last(/JISZ9021/moving_average_plus2sigma))'
          triggers:
            - uuid: 665a5f3b2c534bd4bb38629df2898062
              expression: 'count(/JISZ9021/CPU_IDLE_.in.range_rule06.flag,5,"eq",1)>=4 or count(/JISZ9021/CPU_IDLE_.in.range_rule06.flag,5,"eq",0)>=4'
              name: Rule06_CPU_IDLE
        - uuid: e9b52d771c274da4a2fe2dc287273c41
          name: 移動平均
          type: CALCULATED
          key: moving_average
          value_type: FLOAT
          params: 'avg(/JISZ9021/variable,#60)'
        - uuid: 11a7d360673841c1962ed0eac5d75c94
          name: 移動平均(CPU待機時間)
          type: CALCULATED
          key: moving_average_CPU_IDLE
          value_type: FLOAT
          params: 'avg(/JISZ9021/system.cpu.util[,idle],#60)'
        - uuid: 388300fad6bf42d398a06fd95cfebff0
          name: '移動平均(CPU IO待機時間)'
          type: CALCULATED
          key: moving_average_CPU_IO_IDLE
          value_type: FLOAT
          params: 'avg(/JISZ9021/system.cpu.util[,iowait],#60)'
        - uuid: 65fe01e29cd34feeb342d680f679f3cb
          name: 移動平均minus2sigma
          type: CALCULATED
          key: moving_average_minus2sigma
          value_type: FLOAT
          params: 'avg(/JISZ9021/variable,#60)-2*stddevpop(/JISZ9021/variable,#60)'
        - uuid: 9d98fefd926e42119d919ace8aa85cf2
          name: 移動平均minus2sigma(CPU待機時間）
          type: CALCULATED
          key: moving_average_minus2sigma_CPU_IDLE
          value_type: FLOAT
          params: 'avg(/JISZ9021/system.cpu.util[,idle],#60)-2*stddevpop(/JISZ9021/system.cpu.util[,idle],#60)'
        - uuid: 1ca3be9d336f4be2968768aea36d050a
          name: '移動平均minus2sigma(CPU IO 待機時間）'
          type: CALCULATED
          key: moving_average_minus2sigma_CPU_IO_IDLE
          value_type: FLOAT
          params: 'avg(/JISZ9021/system.cpu.util[,iowait],#60)-2*stddevpop(/JISZ9021/system.cpu.util[,iowait],#60)'
        - uuid: c306b268f31c4d629d60d9886f2cb3e7
          name: 移動平均minus3sigma(CPU待機時間）
          type: CALCULATED
          key: moving_average_minus3sigma_CPU_IDLE
          value_type: FLOAT
          params: 'avg(/JISZ9021/system.cpu.util[,idle],#60)-3*stddevpop(/JISZ9021/system.cpu.util[,idle],#60)'
        - uuid: ba7c7c90b8ee4e3689033bf77e7cb9d7
          name: 移動平均minus5sigma(CPU待機時間）
          type: CALCULATED
          key: moving_average_minus5sigma_CPU_IDLE
          value_type: FLOAT
          params: 'avg(/JISZ9021/system.cpu.util[,idle],#60)-5*stddevpop(/JISZ9021/system.cpu.util[,idle],#60)'
        - uuid: 90a1cf0efa2c497fbcf282c6b401e2ee
          name: 移動平均plus2sigma
          type: CALCULATED
          key: moving_average_plus2sigma
          value_type: FLOAT
          params: 'avg(/JISZ9021/variable,#60)-2*stddevpop(/JISZ9021/variable,#60)'
        - uuid: 9124f3cbedf94bcebfb50b39d2851dc5
          name: 移動平均plus2sigma(CPU待機時間)
          type: CALCULATED
          key: moving_average_plus2sigma_CPU_IDLE
          value_type: FLOAT
          params: 'avg(/JISZ9021/system.cpu.util[,idle],#60)+2*stddevpop(/JISZ9021/system.cpu.util[,idle],#60)'
        - uuid: 8c64961603ec4fb49f7eb0248bfad177
          name: 移動平均plus2sigma(CPU_IO_待機時間)
          type: CALCULATED
          key: moving_average_plus2sigma_CPU_IO_IDLE
          value_type: FLOAT
          params: 'avg(/JISZ9021/system.cpu.util[,iowait],#60)+2*stddevpop(/JISZ9021/system.cpu.util[,iowait],#60)'
        - uuid: c7dcb1860da8465b8e9018e6a185452b
          name: 移動平均plus3sigma(CPU待機時間)
          type: CALCULATED
          key: moving_average_plus3sigma_CPU_IDLE
          value_type: FLOAT
          params: 'avg(/JISZ9021/system.cpu.util[,idle],#60)+3*stddevpop(/JISZ9021/system.cpu.util[,idle],#60)'
        - uuid: 959b4c5e2daf4aaaac7b69ec07ca59f5
          name: 移動平均plus5sigma(CPU待機時間)
          type: CALCULATED
          key: moving_average_plus5sigma_CPU_IDLE
          value_type: FLOAT
          params: 'avg(/JISZ9021/system.cpu.util[,idle],#60)+5*stddevpop(/JISZ9021/system.cpu.util[,idle],#60)'
        - uuid: 4698c87b35a747a68233aa955e05038b
          name: 'CPU 待機時間'
          key: 'system.cpu.util[,idle]'
          value_type: FLOAT
          units: '%'
          description: 待機時間
          triggers:
            - uuid: 03c4ebde0adb44cd92c9deba7182c509
              expression: '(last(/JISZ9021/system.cpu.util[,idle],#1) > last(/JISZ9021/system.cpu.util[,idle],#2) and last(/JISZ9021/system.cpu.util[,idle],#2) > last(/JISZ9021/system.cpu.util[,idle],#3) and last(/JISZ9021/system.cpu.util[,idle],#3) > last(/JISZ9021/system.cpu.util[,idle],#4) and last(/JISZ9021/system.cpu.util[,idle],#4) > last(/JISZ9021/system.cpu.util[,idle],#5) and last(/JISZ9021/system.cpu.util[,idle],#5) > last(/JISZ9021/system.cpu.util[,idle],#6) and  last(/JISZ9021/system.cpu.util[,idle],#6) >  last(/JISZ9021/system.cpu.util[,idle],#7) and  last(/JISZ9021/system.cpu.util[,idle],#7) > last(/JISZ9021/system.cpu.util[,idle],#8) and  last(/JISZ9021/system.cpu.util[,idle],#8) > last(/JISZ9021/system.cpu.util[,idle],#9)) or (last(/JISZ9021/system.cpu.util[,idle],#1) < last(/JISZ9021/system.cpu.util[,idle],#2) and last(/JISZ9021/system.cpu.util[,idle],#2) < last(/JISZ9021/system.cpu.util[,idle],#3) and last(/JISZ9021/system.cpu.util[,idle],#3) < last(/JISZ9021/system.cpu.util[,idle],#4) and last(/JISZ9021/system.cpu.util[,idle],#4) < last(/JISZ9021/system.cpu.util[,idle],#5) and last(/JISZ9021/system.cpu.util[,idle],#5) < last(/JISZ9021/system.cpu.util[,idle],#6) and last(/JISZ9021/system.cpu.util[,idle],#6) < last(/JISZ9021/system.cpu.util[,idle],#7) and last(/JISZ9021/system.cpu.util[,idle],#7) < last(/JISZ9021/system.cpu.util[,idle],#8) and  last(/JISZ9021/system.cpu.util[,idle],#8) <  last(/JISZ9021/system.cpu.util[,idle],#9))'
              name: Rule03_CPU_IDLE
            - uuid: e4a362a577f14f63ba5168336eb27180
              expression: '( (last(/JISZ9021/system.cpu.util[,idle],#1) - last(/JISZ9021/system.cpu.util[,idle],#2)) * (last(/JISZ9021/system.cpu.util[,idle],#2) - last(/JISZ9021/system.cpu.util[,idle],#3)) < 0) and ( (last(/JISZ9021/system.cpu.util[,idle],#2) - last(/JISZ9021/system.cpu.util[,idle],#3)) * (last(/JISZ9021/system.cpu.util[,idle],#3) - last(/JISZ9021/system.cpu.util[,idle],#4)) < 0) and ((last(/JISZ9021/system.cpu.util[,idle],#3) - last(/JISZ9021/system.cpu.util[,idle],#4)) *  (last(/JISZ9021/system.cpu.util[,idle],#4) - last(/JISZ9021/system.cpu.util[,idle],#5)) < 0) and ( (last(/JISZ9021/system.cpu.util[,idle],#4) - last(/JISZ9021/system.cpu.util[,idle],#5)) * (last(/JISZ9021/system.cpu.util[,idle],#5) - last(/JISZ9021/system.cpu.util[,idle],#6)) < 0) and ( (last(/JISZ9021/system.cpu.util[,idle],#5) - last(/JISZ9021/system.cpu.util[,idle],#6)) *  (last(/JISZ9021/system.cpu.util[,idle],#6) - last(/JISZ9021/system.cpu.util[,idle],#7)) < 0) and ((last(/JISZ9021/system.cpu.util[,idle],#6) - last(/JISZ9021/system.cpu.util[,idle],#7)) *  (last(/JISZ9021/system.cpu.util[,idle],#7) - last(/JISZ9021/system.cpu.util[,idle],#8)) < 0)and ( (last(/JISZ9021/system.cpu.util[,idle],#7) - last(/JISZ9021/system.cpu.util[,idle],#8)) * (last(/JISZ9021/system.cpu.util[,idle],#8) - last(/JISZ9021/system.cpu.util[,idle],#9)) < 0)and ( (last(/JISZ9021/system.cpu.util[,idle],#8) - last(/JISZ9021/system.cpu.util[,idle],#9)) * (last(/JISZ9021/system.cpu.util[,idle],#9) - last(/JISZ9021/system.cpu.util[,idle],#10)) < 0)and ((last(/JISZ9021/system.cpu.util[,idle],#9) - last(/JISZ9021/system.cpu.util[,idle],#10)) * (last(/JISZ9021/system.cpu.util[,idle],#10) - last(/JISZ9021/system.cpu.util[,idle],#11)) < 0)and((last(/JISZ9021/system.cpu.util[,idle],#10) - last(/JISZ9021/system.cpu.util[,idle],#11)) *(last(/JISZ9021/system.cpu.util[,idle],#11) - last(/JISZ9021/system.cpu.util[,idle],#12)) < 0)and( (last(/JISZ9021/system.cpu.util[,idle],#11) - last(/JISZ9021/system.cpu.util[,idle],#12)) * (last(/JISZ9021/system.cpu.util[,idle],#12) - last(/JISZ9021/system.cpu.util[,idle],#13)) < 0)and( (last(/JISZ9021/system.cpu.util[,idle],#12) - last(/JISZ9021/system.cpu.util[,idle],#13)) * (last(/JISZ9021/system.cpu.util[,idle],#13) - last(/JISZ9021/system.cpu.util[,idle],#14)) < 0)and( (last(/JISZ9021/system.cpu.util[,idle],#13) - last(/JISZ9021/system.cpu.util[,idle],#14)) * (last(/JISZ9021/system.cpu.util[,idle],#14) - last(/JISZ9021/system.cpu.util[,idle],#15)) < 0)and( (last(/JISZ9021/system.cpu.util[,idle],#14) - last(/JISZ9021/system.cpu.util[,idle],#15)) * (last(/JISZ9021/system.cpu.util[,idle],#15) - last(/JISZ9021/system.cpu.util[,idle],#16)) < 0)and( (last(/JISZ9021/system.cpu.util[,idle],#15) - last(/JISZ9021/system.cpu.util[,idle],#16)) * (last(/JISZ9021/system.cpu.util[,idle],#16) - last(/JISZ9021/system.cpu.util[,idle],#17)) < 0)and( (last(/JISZ9021/system.cpu.util[,idle],#16) - last(/JISZ9021/system.cpu.util[,idle],#17)) * (last(/JISZ9021/system.cpu.util[,idle],#17) - last(/JISZ9021/system.cpu.util[,idle],#18)) < 0)and((last(/JISZ9021/system.cpu.util[,idle],#17) - last(/JISZ9021/system.cpu.util[,idle],#18)) * (last(/JISZ9021/system.cpu.util[,idle],#18) - last(/JISZ9021/system.cpu.util[,idle],#19)) < 0)and( (last(/JISZ9021/system.cpu.util[,idle],#18) - last(/JISZ9021/system.cpu.util[,idle],#19)) * (last(/JISZ9021/system.cpu.util[,idle],#19) - last(/JISZ9021/system.cpu.util[,idle],#20)) < 0)and( (last(/JISZ9021/system.cpu.util[,idle],#19) - last(/JISZ9021/system.cpu.util[,idle],#20)) * (last(/JISZ9021/system.cpu.util[,idle],#20) - last(/JISZ9021/system.cpu.util[,idle],#21)) < 0)and( (last(/JISZ9021/system.cpu.util[,idle],#20) - last(/JISZ9021/system.cpu.util[,idle],#21)) * (last(/JISZ9021/system.cpu.util[,idle],#21) - last(/JISZ9021/system.cpu.util[,idle],#22)) < 0)and( (last(/JISZ9021/system.cpu.util[,idle],#21) - last(/JISZ9021/system.cpu.util[,idle],#22)) * (last(/JISZ9021/system.cpu.util[,idle],#22) - last(/JISZ9021/system.cpu.util[,idle],#23)) < 0)and( (last(/JISZ9021/system.cpu.util[,idle],#22) - last(/JISZ9021/system.cpu.util[,idle],#23)) * (last(/JISZ9021/system.cpu.util[,idle],#23) - last(/JISZ9021/system.cpu.util[,idle],#24)) < 0)and( (last(/JISZ9021/system.cpu.util[,idle],#23) - last(/JISZ9021/system.cpu.util[,idle],#24)) * (last(/JISZ9021/system.cpu.util[,idle],#24) - last(/JISZ9021/system.cpu.util[,idle],#25)) < 0)and( (last(/JISZ9021/system.cpu.util[,idle],#24) - last(/JISZ9021/system.cpu.util[,idle],#25)) * (last(/JISZ9021/system.cpu.util[,idle],#25) - last(/JISZ9021/system.cpu.util[,idle],#26)) < 0)and( (last(/JISZ9021/system.cpu.util[,idle],#25) - last(/JISZ9021/system.cpu.util[,idle],#26)) * (last(/JISZ9021/system.cpu.util[,idle],#26) - last(/JISZ9021/system.cpu.util[,idle],#27)) < 0)and( (last(/JISZ9021/system.cpu.util[,idle],#26) - last(/JISZ9021/system.cpu.util[,idle],#27)) * (last(/JISZ9021/system.cpu.util[,idle],#27) - last(/JISZ9021/system.cpu.util[,idle],#28)) < 0)and((last(/JISZ9021/system.cpu.util[,idle],#27) - last(/JISZ9021/system.cpu.util[,idle],#28)) * (last(/JISZ9021/system.cpu.util[,idle],#28) - last(/JISZ9021/system.cpu.util[,idle],#29)) < 0)and((last(/JISZ9021/system.cpu.util[,idle],#28) - last(/JISZ9021/system.cpu.util[,idle],#29)) * (last(/JISZ9021/system.cpu.util[,idle],#29) - last(/JISZ9021/system.cpu.util[,idle],#30)) < 0)'
              name: Rule04_CPU_IDLE
              description: 連続する30点が上下動繰り返し
        - uuid: 54f96a5d10c04e958b43bb7ee74bb181
          name: 'CPU IO待機時間'
          key: 'system.cpu.util[,iowait]'
          value_type: FLOAT
        - uuid: b264f23fede84bedbb442f0c17c61a89
          name: 監視アイテム
          key: variable
          value_type: FLOAT
          triggers:
            - uuid: 6cfda698790447d29dd5ab06b887565c
              expression: '(last(/JISZ9021/variable,#1) > last(/JISZ9021/variable,#2) and last(/JISZ9021/variable,#2) > last(/JISZ9021/variable,#3) and last(/JISZ9021/variable,#3) > last(/JISZ9021/variable,#4) and last(/JISZ9021/variable,#4) > last(/JISZ9021/variable,#5) and last(/JISZ9021/variable,#5) > last(/JISZ9021/variable,#6)) or (last(/JISZ9021/variable,#1) < last(/JISZ9021/variable,#2) and last(/JISZ9021/variable,#2) < last(/JISZ9021/variable,#3) and last(/JISZ9021/variable,#3) < last(/JISZ9021/variable,#4) and last(/JISZ9021/variable,#4) < last(/JISZ9021/variable,#5) and last(/JISZ9021/variable,#5) < last(/JISZ9021/variable,#6))'
              name: Rule03
            - uuid: 6db0e60e3efc4031b3eeea7712250d3f
              expression: '( (last(/JISZ9021/variable,#1) - last(/JISZ9021/variable,#2)) * (last(/JISZ9021/variable,#2) - last(/JISZ9021/variable,#3)) < 0) and ( (last(/JISZ9021/variable,#2) - last(/JISZ9021/variable,#3)) * (last(/JISZ9021/variable,#3) - last(/JISZ9021/variable,#4)) < 0) and ((last(/JISZ9021/variable,#3) - last(/JISZ9021/variable,#4)) *  (last(/JISZ9021/variable,#4) - last(/JISZ9021/variable,#5)) < 0) and ( (last(/JISZ9021/variable,#4) - last(/JISZ9021/variable,#5)) * (last(/JISZ9021/variable,#5) - last(/JISZ9021/variable,#6)) < 0) and ( (last(/JISZ9021/variable,#5) - last(/JISZ9021/variable,#6)) *  (last(/JISZ9021/variable,#6) - last(/JISZ9021/variable,#7)) < 0) and ((last(/JISZ9021/variable,#6) - last(/JISZ9021/variable,#7)) *  (last(/JISZ9021/variable,#7) - last(/JISZ9021/variable,#8)) < 0)and ( (last(/JISZ9021/variable,#7) - last(/JISZ9021/variable,#8)) * (last(/JISZ9021/variable,#8) - last(/JISZ9021/variable,#9)) < 0)and ( (last(/JISZ9021/variable,#8) - last(/JISZ9021/variable,#9)) * (last(/JISZ9021/variable,#9) - last(/JISZ9021/variable,#10)) < 0)and ((last(/JISZ9021/variable,#9) - last(/JISZ9021/variable,#10)) * (last(/JISZ9021/variable,#10) - last(/JISZ9021/variable,#11)) < 0)and((last(/JISZ9021/variable,#10) - last(/JISZ9021/variable,#11)) *(last(/JISZ9021/variable,#11) - last(/JISZ9021/variable,#12)) < 0)and( (last(/JISZ9021/variable,#11) - last(/JISZ9021/variable,#12)) * (last(/JISZ9021/variable,#12) - last(/JISZ9021/variable,#13)) < 0)and( (last(/JISZ9021/variable,#12) - last(/JISZ9021/variable,#13)) * (last(/JISZ9021/variable,#13) - last(/JISZ9021/variable,#14)) < 0)'
              name: Rule04
        - uuid: b9c5e27f639a4429b70319d003413462
          name: Rule05用しきい値設定
          type: CALCULATED
          key: variable.in.range_rule05.flag
          params: '(last(/JISZ9021/variable) >= last(/JISZ9021/moving_average_minus2sigma))and(last(/JISZ9021/variable) <= last(/JISZ9021/moving_average_plus2sigma))'
          triggers:
            - uuid: d66532c2a76b4932a67938d46a18a01c
              expression: 'count(/JISZ9021/variable.in.range_rule05.flag,3,"eq",1)>=2 or count(/JISZ9021/variable.in.range_rule05.flag,3,"eq",0)>=2'
              name: Rule05
        - uuid: b9d83afd1fe54a55831db6249e235006
          name: Rule06用しきい値設定
          type: CALCULATED
          key: variable.in.range_rule06.flag
          params: '(last(/JISZ9021/variable) >= last(/JISZ9021/moving_average_minus2sigma))and(last(/JISZ9021/variable) <= last(/JISZ9021/moving_average_plus2sigma))'
          triggers:
            - uuid: 1f674f46505c499f85b296ddec963edf
              expression: 'count(/JISZ9021/variable.in.range_rule06.flag,5,"eq",1)>=4 or count(/JISZ9021/variable.in.range_rule06.flag,5,"eq",0)>=4'
              name: Rule06
        - uuid: d79ab7bdb1dc420e809e8c398353af50
          name: Rule07用しきい値設定
          type: CALCULATED
          key: variable.in.range_rule07.flag
          params: '(last(/JISZ9021/variable) >= last(/JISZ9021/moving_average_minus2sigma))and(last(/JISZ9021/system.cpu.util[,idle]) <= last(/JISZ9021/moving_average_plus2sigma))'
          triggers:
            - uuid: ''
              expression: 'count(/JISZ9021/variable.in.range_rule07.flag,15,"eq",1) >= 15'
              name: Rule07
        - uuid: 56c99a7d75b34f9cbf3fe70de172c766
          name: Rule08用しきい値設定
          type: CALCULATED
          key: variable.in.range_rule08.flag
          params: '(last(/JISZ9021/variable) >= last(/JISZ9021/moving_average_minus2sigma))and(last(/JISZ9021/variable) <= last(/JISZ9021/moving_average_plus2sigma))'
          triggers:
            - uuid: afaa712d7fdd4496986fb5326d30faf0
              expression: 'count(/JISZ9021/variable.in.range_rule08.flag,15,"eq",0) >= 8'
              name: Rule08
        - uuid: 1fa3da029fbd4b1eab56dbc27a3fab05
          name: Rule09用しきい値設定
          type: CALCULATED
          key: variable.in.range_rule09.flag
          params: '(last(/JISZ9021/variable) >= last(/JISZ9021/moving_average_minus2sigma))and(last(/JISZ9021/variable) <= last(/JISZ9021/moving_average_plus2sigma))'
          triggers:
            - uuid: 881f2850406741e880b1cd882bdd37fe
              expression: 'count(/JISZ9021/variable.in.range_rule09.flag,3,"eq",0) = 2'
              name: 'Rule09　count(条件式,N,"eq",0) = n'
        - uuid: a644fb23fbc94b8081215e6da430f889
          name: Rule10用しきい値設定
          type: CALCULATED
          key: variable.in.range_rule10.flag
          params: '(last(/JISZ9021/variable) >= last(/JISZ9021/moving_average_minus2sigma))and(last(/JISZ9021/variable) <= last(/JISZ9021/moving_average_plus2sigma))'
          triggers:
            - uuid: 13bccddb942844fa94061f4ac85c49d2
              expression: 'count(/JISZ9021/variable.in.range_rule10.flag,3,"eq",0) >= 2'
              name: 'Rule10　count(条件式,N,"eq",0) = n'
        - uuid: cb9fda646c514a30b8912dc68862b75a
          name: Rule02用しきい値設定
          type: CALCULATED
          key: variable.rule02.in.flag
          params: 'last(/JISZ9021/variable)-avg(/JISZ9021/variable,#60)'
        - uuid: 4bc2e1e78fcd40a49c69004b3c211ca2
          name: 監視アイテム(%)
          key: variable_percentage
          value_type: FLOAT
          units: '%'
  triggers:
    - uuid: 39cca746bc1a4a23b60c473caf0f2be3
      expression: '(last(/JISZ9021/variable)>last(/JISZ9021/moving_average_plus2sigma)) or (last(/JISZ9021/variable)<last(/JISZ9021/moving_average_minus2sigma))'
      name: Rule01
    - uuid: a42f431079a54ca69cdaa39bb83ed8ba
      expression: '(last(/JISZ9021/system.cpu.util[,idle])>last(/JISZ9021/moving_average_plus5sigma_CPU_IDLE)) or (last(/JISZ9021/system.cpu.util[,idle])<last(/JISZ9021/moving_average_minus5sigma_CPU_IDLE))and(last(/JISZ9021/system.cpu.util[,idle])<0.4)'
      name: Rule01_CPU_IDLE
      manual_close: 'YES'
    - uuid: 03000dcec84a48dabfa856936b0c79fb
      expression: '(count(/JISZ9021/variable,#9)>last(/JISZ9021/moving_average_CPU_IDLE))or(count(/JISZ9021/variable,#9)<last(/JISZ9021/moving_average_CPU_IDLE))'
      name: Rule02
